Subject: List of volunteers for the 2021-2022 NomCom

From: NomCom Chair 2021 <[email-masked]>
Date: Fri, 25 Jun 2021 13:46:49 -0700

This is a preliminary list of 112 qualified volunteers for NomCom 2021-2022.

All have been qualified by using the Datatracker as qualified for the position of voting 
member of NomCom per RFC 8989.

We now enter the challenge period, which lasts until the following deadline:

Monday, July 5, 2021 at 23:59 UTC (Deadline for raising issues on the qualified volunteers list)

If anyone thinks that a name on the numbered list below is NOT qualified for some 
reason, please send me email before this deadline at: 

nomcom-chair-2021 at ietf dot org 

The next steps are listed on https://datatracker.ietf.org/nomcom/2021/ (e.g., I will announce 
random seed selections for the RFC 3797 process shortly).

The preliminary qualified volunteers are:

  Num    Last Name        First Name                   Affiliation
===================================================================
    1    Aelmans          Melchior                     Juniper Networks
    2    Bagdonas         Ignas                        Equinix
    3    Banks            Sarah                        Corelight, Inc.
    4    Barnes           Mary                         Independent
    5    Beeram           Vishnu                       Juniper Networks
    6    Benamar          Nabil                        Moulay Ismail University of Meknes, Morocco
    7    Bertola          Vittorio                     Open-Xchange
    8    Bishop           Mike                         Akamai Technologies
    9    Bonica           Ron                          Juniper Networks
   10    Box              Chris                        BT
   11    Burdet           LucAndré                     Cisco
   12    Bush             Randy                        IIJ Research Lab & Arrcus Inc
   13    Busi             Italo                        Huawei
   14    Chen             Mach                         Huawei
   15    Chen             Huaimo                       Futurewei
   16    Cheng            Weiqiang                     China Mobile
   17    Ciavaglia        Laurent                      Rakuten
   18    Clemm            Alexander                    Futurewei
   19    Dhody            Dhruv                        Huawei
   20    Dong             Jie                          Huawei Technologies
   21    Drake            John                         Juniper Networks
   22    Eastlake         Donald                       Futurewei Technologies, Inc
   23    Eckel            Charles                      Cisco Systems
   24    Eckert           Toerless                     Futurewei USA
   25    Enghardt         Theresa                      Netflix
   26    Fan              Dawei                        Huawei
   27    Farrell          Stephen                      Trinity College Dublin
   28    Fioccola         Giuseppe                     Huawei Technologies
   29    Fomin            Sergey                       Nokia
   30    Fossati          Thomas                       Arm
   31    Geng             Xuesong                      Huawei
   32    Gondwana         Bron                         Fastmail Pty Ltd
   33    Gu               Yunan                        Huawei
   34    Gundavelli       Sri                          Cisco
   35    Haas             Jeffrey                      Juniper Networks
   36    Haddad           Wassim                       Ericsson
   37    Hallam-Baker     Phillip                      Threshold Secrets LLC
   38    Harrison         Tom                          APNIC
   39    Hegde            Shraddha                     Juniper Networks
   40    Heitz            Jakob                        Cisco Systems, Inc.
   41    Hopps            Christian                    LabN Consulting
   42    Housley          Russ                         Vigil Security, LLC
   43    Huitema          Christian                    Private Octopus Inc.
   44    Iannone          Luigi                        Huawei
   45    Jimenez          Jaime                        Ericsson
   46    Lear             Eliot                        Cisco Systems
   47    Leiba            Barry                        Futurewei Technologies
   48    Lemon            Ted                          Apple
   49    Li               Cheng                        Huawei
   50    Li               Richard                      Futurewei Technologies, Inc.
   51    Li               Yizhou                       Huawei
   52    Lin              Yi                           Huawei Technologies Co., Ltd.
   53    Liu              Bing                         Huawei Technologies Co.,Ltd.
   54    Lou              Zhe                          Huawei Technologies Duesseldorf GmbH
   55    Maisonneuve      Julien                       Nokia
   56    Makhijani        Kiran                        Futurewei
   57    Mankin           Allison                      Salesforce
   58    Masinter         Larry                        Interlisp.org
   59    Mattsson         John                         Ericsson
   60    McManus          Patrick                      Fastly
   61    Michaelson       George                       APNIC
   62    Min              Xiao                         ZTE Corporation
   63    Mishra           Sanjay                       Verizon
   64    Mizrahi          Tal                          Huawei
   65    Moore            Keith                        Network Heretics
   66    Nottingham       Mark                         Fastly
   67    Paine            Kirsty                       UK National Cyber Security Centre (NCSC)
   68    Pan              Wei                          Huawei
   69    Peng             Shuping                      Huawei Technologies Co.,Ltd.
   70    Petit-Huguenin   Marc                         Impedance Mismatch LLC
   71    Pillay-Esnault   Padma                        Independent, Amazon
   72    Qu               Yingzhen                     Futurewei Technologies Inc.
   73    Reid             Jim                          rtfm llp
   74    Rescorla         Eric                         Mozilla
   75    Resnick          Pete                         Episteme Technology Consulting LLC
   76    Richardson       Michael                      Sandelman Software Works
   77    Romano           Simon                        University of Napoli Federico II
   78    Rose             Kyle                         Akamai Technologies, Inc.
   79    Saad             Tarek                        Juniper Networks
   80    Salz             Rich                         Akamai
   81    Sangli           Srihari                      Juniper Networks
   82    Schwartz         Benjamin                     Google LLC
   83    Song             Haoyu                        Futurewei
   84    StJohns          Michael                      NthPermutation Security
   85    Thubert          Pascal                       Cisco Systems
   86    Trøan            Ole                          cisco
   87    Tschofenig       Hannes                       Arm
   88    Velvindron       Loganaden                    cyberstorm.mu
   89    Volpato          Paolo                        Huawei Technologies
   90    Wang             Haibo                        Huawei
   91    Wang             Yali                         Huawei
   92    Wei              Yuehua                       ZTE Corporation
   93    Weiler           Samuel                       W3C/MIT
   94    Westerlund       Magnus                       Ericsson
   95    Winters          Timothy                      QA Cafe
   96    Woolf            Suzanne                      Public Interest Registry (.ORG)
   97    Wu               Bo                           Huawei Technologies Co.,Ltd.
   98    Xiao             XiPeng                       Huawei Technologies
   99    Xie              Jingrong                     Huawei Technologies
   100   Xingjian         He                           huawei
   101   Yan              Gang                         Huawei
   102   Yang             Fan                          Huawei Technologies Co.,Ltd.
   103   Yu               Yolanda                      Huawei
   104   Zhang            Lixia                        UCLA
   105   Zhang            Zheng                        ZTE
   106   Zhang            Zhaohui                      Juniper
   107   Zhao             Shuai                        Tencent
   108   Zheng            Guangying                    Huawei
   109   Zheng            Haomian                      Huawei Technologies
   110   Zhou             Tianran                      Huawei
   111   Zhuang           Shunwan                      Huawei
   112   江元龙                                         Huawei Technologies Co., Ltd.

---

From: Michael StJohns <[email-masked]>
Date: Fri, 25 Jun 2021 19:03:13 -0400

Hi - No challenges, but an observation or two.

There are only 6 companies with more than two volunteers:

Cisco - 7  (6.3% of the pool, 47% chance of having at least one member, 
12.6% of having 2).
Juniper - 9 (8% of the pool, 57% chance of having at least one member, 
18.9% of having 2)
Ericsson - 4 (3.6%, 30.5%, 4.7%)
ZTE - 3 (2.7%, 23.8%, 2.8%)
Akamai - 3 (2.7%, 23.8%, 2.8%)
Huawei/Futurewei - 41 (36.6, 99%, 93%)

A SWAG against that numbers suggests a Nomcom with 2 members from 
Huawai/Futurewei, 1-2 members from Cisco and Juniper (not each, total) 
and a 60% chance of having at least 1 member from one of Ericsson, 
Akamai or ZTE.

2 person companies represent (each) 1.8% of the pool, have a 16.5% 
chance of having at least one member,  and have a 1.3% chance of having 
two.

The numbers are not exact because of the organizational limit factor - 
e.g. individuals and 2 party companies (totalling 112-67 or 45)  are 
roughly competing for the slots (4-6 slots at a guess) not won by these 
5, which gives those folk individually a 8.3% to 11.9% chance of 
selection depending on the number of slots available.

For an illustration of what affect the organizational limits have on the 
final composition of the Nomcom,  without the limits, or with higher 
ones, Huawei/Futurewei would have a 77% chance of 3 or more members, a  
53% chance of 4 or more members and a 28.5% chance of 5 or more.   That 
suggests that due to the limits, in this selection process at least 2 or 
more volunteers will be selected randomly and discarded due to there 
already being 2 selectees from that group.

Yours statistically, Mike

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 26 Jun 2021 00:41:47 +0100

Hiya,

On 26/06/2021 00:03, Michael StJohns wrote:
> Cisco - 7Â  (6.3% of the pool, 47% chance of having at least one member, 
> 12.6% of having 2).

Yeah. The last line above smacks of gaming a system within
the rules. I thought more companies did that TBH;-(

One other observation: I expected the "click here" in the
tracker to increase the size of the pool, but it doesn't seem
to have had that effect. Maybe it needs another year though,
as it was announced fairly close to the deadline.

Cheers,
S.

> chance of having at least one member,Â  and have a 1.3% chance of having 
> two.
> 
> e.g. individuals and 2 party companies (totalling 112-67 or 45)Â  are 
> final composition of the Nomcom,Â  without the limits, or with higher 
> ones, Huawei/Futurewei would have a 77% chance of 3 or more members, aÂ 
> 53% chance of 4 or more members and a 28.5% chance of 5 or more.Â Â  
> That suggests that due to the limits, in this selection process at least 
> 2 or more volunteers will be selected randomly and discarded due to 
> there already being 2 selectees from that group.
> 
>>     11    Burdet           LucAndrÃ©                     Cisco
>>     86    TrÃ¸an            Ole                          cisco
>>     112   æ±Ÿå…ƒé¾™                                         Huawei 
>> Technologies Co., Ltd.

---

From: Stewart Bryant <[email-masked]>
Date: Sat, 26 Jun 2021 08:05:37 +0100

This has provided a statistical basis for my conclusion on initially seeing this list. I imagine I am not alone.

This Nomcom volunteer pool is insufficiently diverse.

I think the chair needs to extend the time to volunteer and encourage a more diverse pool.

Normally the timeline is set by a need to physically meet at the summer IETF, but that does not apply this year so there is more time to make the selection.

Stewart

Sent from my iPad

> On 26 Jun 2021, at 00:05, Michael StJohns <[email-masked]> wrote:
> 
> Cisco - 7  (6.3% of the pool, 47% chance of having at least one member, 12.6% of having 2).
> Juniper - 9 (8% of the pool, 57% chance of having at least one member, 18.9% of having 2)
> A SWAG against that numbers suggests a Nomcom with 2 members from Huawai/Futurewei, 1-2 members from Cisco and Juniper (not each, total) and a 60% chance of having at least 1 member from one of Ericsson, Akamai or ZTE.
> 
> 2 person companies represent (each) 1.8% of the pool, have a 16.5% chance of having at least one member,  and have a 1.3% chance of having two.
> 
> The numbers are not exact because of the organizational limit factor - e.g. individuals and 2 party companies (totalling 112-67 or 45)  are roughly competing for the slots (4-6 slots at a guess) not won by these 5, which gives those folk individually a 8.3% to 11.9% chance of selection depending on the number of slots available.
> 
> For an illustration of what affect the organizational limits have on the final composition of the Nomcom,  without the limits, or with higher ones, Huawei/Futurewei would have a 77% chance of 3 or more members, a  53% chance of 4 or more members and a 28.5% chance of 5 or more.   That suggests that due to the limits, in this selection process at least 2 or more volunteers will be selected randomly and discarded due to there already being 2 selectees from that group.
>

---

From: John C Klensin <[email-masked]>
Date: Sat, 26 Jun 2021 15:39:08 -0400

FWIW, +1

On the one hand, I'm pleased that several organizations will
give multiple of their employees the time and, where relevant,
resource to participate.  On the other, the alternative to
broadening the diversity of the pool would be to create a new
rule, e.g., that anyone on the Nomcom from a given company must
be completely isolated from the process of considering any
candidate from the same company (or, perhaps, its close
affiliates).

    john

--On Saturday, June 26, 2021 08:05 +0100 Stewart Bryant
<[email-masked]> wrote:

> This has provided a statistical basis for my conclusion on
> initially seeing this list. I imagine I am not alone.
> 
> Normally the timeline is set by a need to physically meet at
> the summer IETF, but that does not apply this year so there is
> more time to make the selection.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 27 Jun 2021 09:11:56 +1200

Just some factual observations:

Last year we had 135 volunteers, under the temporary criteria of RFC8788, which were basically the traditional criteria but set back by one meeting, i.e. physical attendance at 3 of IETFs 102, 103, 104, 105, and 106.

This year we have 112 volunteers, under the experimental criteria of RFC8989. Those are

a) registered attendance at 3 of IETFs 106, 107, 108, 109, and 110.
OR
b) being a recent WG Chair or Secretary or RFC author.

Thus, we got fewer volunteers despite substantially broadening the criteria to include many more people.

This requires some reflection, but we can't arbitrarily change the mandated schedule.

Regards
   Brian Carpenter

---

From: John C Klensin <[email-masked]>
Date: Sat, 26 Jun 2021 23:44:14 -0400

Brian,

Clearly, these are unusual times.   But I would hope --and I
think it parallels Stewart's comment-- that we can figure out
the right thing to do and then adjust documents, etc., to make
it happen.  That alternative, it seems to me, would be to say
--if there were actually strong evidence that it was the case
and I'm onto convinced yet -- "company X is showing signs of
trying to pack that Nomcom and our safeguards don't appear to be
good enough, but we have to let them do it because it takes us a
year to revise the relevant procedures".

At this point, I'd lack to see an additional set of numbers,
ones that would not not just to proportion of volunteers for the
Nomcom but how those numbers compare with proportions of
participation in the IETF (even if measured by something as
crude as meeting attendance) of people affiliated with various
companies.

best,
   john

--On Sunday, June 27, 2021 09:11 +1200 Brian E Carpenter
<[email-masked]> wrote:

> Last year we had 135 volunteers, under the temporary criteria
> of RFC8788, which were basically the traditional criteria but
> set back by one meeting, i.e. physical attendance at 3 of
> IETFs 102, 103, 104, 105, and 106.
> 
> a) registered attendance at 3 of IETFs 106, 107, 108, 109, and
> 110. OR
> Thus, we got fewer volunteers despite substantially broadening
> the criteria to include many more people.
> 
>> rule, e.g., that anyone on the Nomcom from a given company
>> must be completely isolated from the process of considering
>> any candidate from the same company (or, perhaps, its close
>> affiliates).
>> 
>>     john
>> 
>> 
>>> the summer IETF, but that does not apply this year so there
>>> is more time to make the selection.
>> 
>>

---

From: Michael Richardson <[email-masked]>
Date: Sun, 27 Jun 2021 11:17:40 -0400

Stewart Bryant <[email-masked]> wrote:
    > This has provided a statistical basis for my conclusion on initially
    > seeing this list. I imagine I am not alone.

    > This Nomcom volunteer pool is insufficiently diverse.

I mostly agree.

I don't have numbers for years before last, but my recollection is that it's
usually closer to 200, often a bit over.

    > Normally the timeline is set by a need to physically meet at the summer
    > IETF, but that does not apply this year so there is more time to make
    > the selection.

I don't know if that's the right thing to do, and I'm not convinced that
we'll get more volunteers this way.  But, I don't really object to trying.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Michael Richardson <[email-masked]>
Date: Sun, 27 Jun 2021 11:19:32 -0400

Brian E Carpenter <[email-masked]> wrote:
    > Last year we had 135 volunteers, under the temporary criteria of
    > RFC8788, which were basically the traditional criteria but set back by
    > one meeting, i.e. physical attendance at 3 of IETFs 102, 103, 104, 105,
    > and 106.

    > a) registered attendance at 3 of IETFs 106, 107, 108, 109, and 110.  OR

Brian, given that you have the list of people, is it an easy thing to run
through the Venn diagram and tell us if RFC8989 had any effect?
Should this discussion continue on gendispatch or shmoo or ??

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Allison Mankin <[email-masked]>
Date: Sun, 27 Jun 2021 11:24:56 -0400

+1 to Michael's point. We've had the most diverse nomcoms when the pool has
been over 200. I'd like to see the volunteering reopened

On Sun, Jun 27, 2021 at 11:18 Michael Richardson <[email-masked]> wrote:

>     > I think the chair needs to extend the time to volunteer and
> encourage a
>     > more diverse pool.
>

---

From: Andrew Campling <[email-masked]>
Date: Sun, 27 Jun 2021 18:27:36 +0000

+1
Re-opening the volunteering window for a week or two would seem like a reasonable step to take – if the numbers don’t change then that’s on us and not the organisations of the current pool of volunteers.

Andrew

From: Allison Mankin <[email-masked]>
Sent: 27 June 2021 16:25
To: Michael Richardson <[email-masked]>
Cc: Michael StJohns <[email-masked]>; Stewart Bryant <[email-masked]>; [email-masked]
Subject: Re: List of volunteers for the 2021-2022 NomCom

+1 to Michael's point. We've had the most diverse nomcoms when the pool has been over 200. I'd like to see the volunteering reopened

On Sun, Jun 27, 2021 at 11:18 Michael Richardson <[email-masked]<mailto:[email-masked]>> wrote:

I mostly agree.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]<mailto:[email-masked]>  http://www.sandelman.ca/        |   ruby on rails    [

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 27 Jun 2021 15:54:19 -0400

While I agree we probably have the time to reopen it, we can't just 
decide to do so.  We can't simply change the procedures because we want 
to (particularly note when "we" is some vocal subset of the community.)

As far as I can tell from the rules we have adopted, we have to leave 
the rules as written and run the selection.  Meanwhile, we would have to 
race to write an I-D, get community rough consensus on it, and get it 
approved by the IESG, all before the random number selection that is 
mandated (since otherwise we would be changing the random result AFTER 
knowing it.)  Given our history for process changes of any kind, I just 
don't see it.  (I am not even sure the various mandatory time lines 
would permit it.)

Look folks, I am not happy with the lack of diversity.  But the solution 
to that was to get folks to volunteer.  I didn't push as hard as I 
should have. Probably because I do not htink chair pushing helps much. 
But I did forward the announcement to remind folks.  To all three of my 
working groups.  I doubt it mattered.

Yours,
Joel

On 6/27/2021 2:27 PM, Andrew Campling wrote:
> +1
> 
> Re-opening the volunteering window for a week or two would seem like a 
> reasonable step to take – if the numbers don’t change then that’s on us 
> and not the organisations of the current pool of volunteers.
> 
> Andrew
> 
> *From:*Allison Mankin <[email-masked]>
> *Sent:* 27 June 2021 16:25
> *To:* Michael Richardson <[email-masked]>
> *Cc:* Michael StJohns <[email-masked]>; Stewart Bryant 
> <[email-masked]>; [email-masked]
> *Subject:* Re: List of volunteers for the 2021-2022 NomCom
> 
> +1 to Michael's point. We've had the most diverse nomcoms when the pool 
> has been over 200. I'd like to see the volunteering reopened
> 
>     Stewart Bryant <[email-masked]
>     <mailto:[email-masked]>> wrote:
>          > This has provided a statistical basis for my conclusion on
>     initially
>          > seeing this list. I imagine I am not alone.
> 
>          > This Nomcom volunteer pool is insufficiently diverse.
> 
>     I mostly agree.
> 
>          > I think the chair needs to extend the time to volunteer and
>     encourage a
>          > more diverse pool.
> 
>          > Normally the timeline is set by a need to physically meet at
>     the summer
>          > IETF, but that does not apply this year so there is more time
>     to make
>          > the selection.
> 
>     ] [email-masked] <mailto:[email-masked]>
>     http://www.sandelman.ca/ <http://www.sandelman.ca/>        |   ruby
>     on rails    [
>

---

From: Mary B <[email-masked]>
Date: Sun, 27 Jun 2021 15:09:09 -0500

Unfortunately, I have to agree with Joel.  I too forwarded the email to a
list of folks that I really thought should consider volunteering and don't
see that had much impact at all.

Mary.

---

From: Stewart Bryant <[email-masked]>
Date: Sun, 27 Jun 2021 21:20:02 +0100

> On 27 Jun 2021, at 20:54, Joel M. Halpern <[email-masked]> wrote:
> 
> We can't simply change the procedures because we want to (particularly note when "we" is some vocal subset of the community.)

Joel

I think that is an innapropriate characterisation of those of us that have expressed a genuine concern at the low level of diversity in the volunteer pool.

Stewart

---

From: "jmh.direct" <[email-masked]>
Date: Sun, 27 Jun 2021 16:43:44 -0400

Sorry, I am missing how it is inappropriate.  I was not commenting on the validity or honesty of the concern. I share the concern.  I presume it is honest.  I also consider I am among that vocal minority. My point us that we can't just decide to ignore our rules.  Even for the best of reasons.Yours,JoelSent via the Samsung Galaxy S20 FE 5G, an AT&T 5G smartphone
-------- Original message --------From: Stewart Bryant <[email-masked]> Date: 6/27/21  4:20 PM  (GMT-05:00) To: Joel Halpern <[email-masked]> Cc: Stewart Bryant <[email-masked]>, Andrew Campling <[email-masked]>, Allison Mankin <[email-masked]>, Michael Richardson <[email-masked]>, [email-masked] Subject: Re: List of volunteers for the 2021-2022 NomCom On 27 Jun 2021, at 20:54, Joel M. Halpern <[email-masked]> wrote:We can't simply change the procedures because we want to (particularly note when "we" is some vocal subset of the community.)JoelI think that is an innapropriate characterisation of those of us that have expressed a genuine concern at the low level of diversity in the volunteer pool.Stewart

---

From: Larry Masinter <[email-masked]>
Date: Sun, 27 Jun 2021 13:53:21 -0700

Unfortunately, after reviewing RFC 8989, I think there may be an issue with
my qualifications.

At the 110 meeting, although I was registered (and got the T-shirt, thank
you) I was unable to attend any working group meeting or plenary session.
(Mainly time-zone issues).

I did try gather.town but didn't find anyone to talk to.

Personally, I liked the idea of being on the nomcom after so many years, but
perhaps reviewing actual participation (even just asking each volunteer to
assert actual participation) might bring the process closer to its intent.

---

From: Michael Richardson <[email-masked]>
Date: Sun, 27 Jun 2021 17:25:28 -0400

> to (particularly note when "we" is some vocal subset of the community.)

I agree.

    > Look folks, I am not happy with the lack of diversity.  But the
    > solution to that was to get folks to volunteer.  I didn't push as hard
    > as I should have. Probably because I do not htink chair pushing helps
    > much. But I did forward the announcement to remind folks.  To all three
    > of my working groups.  I doubt it mattered.

I think that the best way to "push" is where it goes through company internal email
from the CTO or whomever pays for IETF attendance.

I wonder if some people volunteer, hoping that it will mean that they'll
"have" to travel to IETF.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 28 Jun 2021 10:10:18 +1200

The exact wording of Path 1 in RFC8989 is:

"Attendance is as determined by the record keeping of the Secretariat for 
in-person meetings and is based on being a registered person who logged in for at least one session of an online IETF meeting."

But perhaps you qualified under Path 2 or 3?

Regards
   Brian Carpenter

On 28-Jun-21 08:53, Larry Masinter wrote:
> Unfortunately, after reviewing RFC 8989, I think there may be an issue with my qualifications.
> 
> At the 110 meeting, although I was registered (and got the T-shirt, thank you) I was unable to attend any working group meeting or plenary session. (Mainly time-zone issues).
> 
> I did try gather.town but didn’t find anyone to talk to.
> 
>  
> 
> Personally, I liked the idea of being on the nomcom after so many years, but perhaps reviewing actual participation (even just asking each volunteer to assert actual participation) might bring the process closer to its intent.
>

---

From: Bob Hinden <[email-masked]>
Date: Sun, 27 Jun 2021 16:00:07 -0700

BTW, I received an email from the Nomcom chair a few days ago, saying that I had selected “willing to serve on the NomCom” on the registration form for a past IETF meeting,  so I suspect we may see a larger set of volunteers.   Or at least one larger, because I said “yes” :-)

Bob

> On Jun 27, 2021, at 3:10 PM, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 19:06:26 -0400

>      > to (particularly note when "we" is some vocal subset of the community.)

I actually disagree.  This is about setting the pool.  Unlike things 
like deciding to re-select the members or suggesting that if a Huawei 
member is ineligible, then the appropriate replacement is another Huawei 
member, (see many discussions in prior years), increasing the pool 
*might* decrease Huawei/Futurewei's opportunity to get members, but the 
probabilities of that are pretty small.

Right now, 6 companies own 67/112 of the pool and will probably get 
about 4-6 members.  The pool (112) is smaller than I remember in any of 
the last 5-10 years (anecdotal rather than actually checking the data).  
It would be good to try and increase the pool back to previous levels 
near 160+.

> "have" to travel to IETF.

That may be the case.  Which may explain the size of the pool.

Mike

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 19:17:06 -0400

> I think the chair needs to extend the time to volunteer and encourage a more diverse pool.

I think that this might be the least incorrect approach.

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 19:28:24 -0400

On 6/27/2021 3:54 PM, Joel M. Halpern wrote:
> the rules as written and run the selection. 

Mostly I would agree with Joel.  In this case its apples to oranges.  We 
regularly reopen nominations of various slots because we haven't been 
able to find enough candidates and this is a similar case.  In this 
case, the closure dates for volunteering are arbitrary, and extending 
will have an indeterminate  (and more importantly a non-predictable) 
effect on the final selection of candidates.

In this case, we have 112 volunteers: perhaps the smallest number in 
10-15 years.  Asking for additional volunteers should not perturb the 
final selection process too much.

Mike

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 19:33:14 -0400

On 6/27/2021 4:53 PM, Larry Masinter wrote:
> At the 110 meeting, although I was registered (and got the T-shirt, 
> thank you) I was unable to attend any working group meeting or plenary 
> session. (Mainly time-zone issues).
>
> Personally, I liked the idea of being on the nomcom after so many 
> years, but perhaps reviewing actual participation (even just asking 
> each volunteer to assert actual participation) might bring the process 
> closer to its intent.
>
Nah!

The problem with the approach you propose is lack of evidentiary 
information to make a decision.  E.g. nobody self-reports their 
participation, nor is such self-reporting required.

Instead, we look at objective data - in this case the registration 
record - to determine eligibility.  In some cases, we're going to take 
someone as eligible with little actual interaction with the IETF, but  - 
I think - that's better than trying to make subjective judgements about 
who did "enough" in the meeting to qualify.   I sort of agree with you 
and argued for some contribution from the participant to make such 
things expensive. But that's not we are currently structured, and I'm 
mostly OK with that.

Mike

---

From: Mary B <[email-masked]>
Date: Sun, 27 Jun 2021 19:00:25 -0500

On Sun, Jun 27, 2021 at 6:07 PM Michael StJohns <[email-masked]>
wrote:

> [MB] Per the process, I don't think that it allows more than *2*  from a
single company.  So, I think the problem isn't as bad as some perceive.
Personally, I see the bigger problem as the fact that *many* that were
qualified didn't volunteer.  [/MB]

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 28 Jun 2021 12:02:07 +1200

On 28-Jun-21 03:19, Michael Richardson wrote:
>     > This year we have 112 volunteers, under the experimental criteria 
of
>     > RFC8989. Those are

Not for me. Robert Sparks has access to current data, and there are
good privacy reasons why the data aren't open. (I had them as a special
case while drafting RFC8989.)

   Brian

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 20:12:45 -0400

On 6/27/2021 8:00 PM, Mary B wrote:
> [MB] Per the process, I don't think that it allows more than *2*  from 
> a single company.  So, I think the problem isn't as bad as some 
> perceive.  Personally, I see the bigger problem as the fact that 
> *many* that were qualified didn't volunteer. [/MB]
>
The problem (IMNSHO) is that, statistically, if you (company) have a 
large enough proportion of the pool, you have a pretty much guaranteed 
probability of having 2 members.   If you have 2 members for every 
nomcom, you can have a disproportionate impact in the overall 
composition of the leadership of the IETF over time.

FWIR, Huawei has had 2 Nomcom members for most of the last 5-8 Nomcoms.  
Cisco, Ericsson and Juniper have also had substantial representation.

That may represent personal diversity, but it does not represent 
commercial diversity.

Later, Mike

---

From: John C Klensin <[email-masked]>
Date: Sun, 27 Jun 2021 21:21:55 -0400

--On Sunday, June 27, 2021 20:12 -0400 Michael StJohns
<[email-masked]> wrote:

>> [MB] Per the process, I don't think that it allows more than
>> *2*  from  a single company.  So, I think the problem isn't
>> as bad as some  perceive.  Personally, I see the bigger
>> problem as the fact that  *many* that were qualified didn't
>> volunteer. [/MB]
>> 
> The problem (IMNSHO) is that, statistically, if you (company)
> have a large enough proportion of the pool, you have a pretty
> much guaranteed probability of having 2 members.   If you
> have 2 members for every nomcom, you can have a
> disproportionate impact in the overall composition of the
> leadership of the IETF over time.
>...

Mike, while I completely agree, I am also thinking about how
much bigger we would need to make the pool to overcome the
number of volunteers from that company, i.e., to make their
fraction of the volunteers small enough relative to the total to
significantly reduce the chances of their ending up with two
Nomcom members.  If the goal is to increase pool diversity,
getting more volunteers would probably do it.  If it is to
reduce the influence of a small list of organizations, I'd
doubtful that we could bring enough people out even though I
think it might be worth a try.

I favor extending the period for people to volunteer by a week
or so and believe, as you and others have suggested, that it
falls well within the limits and precedents of other deadlines
we extend when that seems sensible.  However, if the goal is to
prevent an organization from guaranteeing itself one or two
Nomcom seats [1] there are some obvious ways to do that, but
they would clearly require the sort of significant procedural
changes that Joel, Brian, and others seem to be warning against.

best,
   john

[1] Whether that is via a coordinated effort or just as
consequence of the ways in which people are encouraged to
participate (including trying to guarantee support for
attendance at IETF meetings as others have suggested) actually
makes no difference as far as Nomcom diversity (not just pool
diversity) is concerned.

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 28 Jun 2021 03:41:14 +0200

On 2021-06-28, at 03:21, John C Klensin <[email-masked]> wrote:
> how
> Nomcom members.

Easy: randomly (*) select 10 companies (clusters) making up the nomcom, and then randomly select one volunteer from each company.

Let’s see how well this process proposal goes :-)

Grüße, Carsten

(*) OK, you get to choose the exact way this randomness works, and that may include weighting by number of volunteers.  So we may still have a way to make sure there is enough big-company representation in the nomcom.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 28 Jun 2021 14:12:12 +1200

> changes that Joel, Brian, and others seem to be warning against.

I'm not against significant changes. I'm just against significant
changes on the fly during the current year's process.

Having looked again at BCP10, I do agree that the NomCom Chair has the
power to re-open the call for volunteers for a week or so, but that
doesn't seem worth doing without a mail shot to everybody that
the code deems to be eligible. Judging by the model we used to justify
RFC8989, it seems to me there are probably several hundred people
who may well not realise that they are eligible or even that the
call for volunteers went out. Remember we have *lots* of participants
who are not on the general lists.

   Brian

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 22:35:13 -0400

> significantly reduce the chances of their ending up with two

Here's the table.  If you have 10% of the pool, you have a 65% chance of 
having at least 1 member, and a 26.4% chance of having 2.   That's a 
pool of 410 people given 41 volunteers from a single group.

Given 41 volunteers from a single group, you'd have to have something 
like 612 volunteers to get below a 50% chance of 1 member or more. (e.g. 
about 6.7% of the pool).

Note, the values in the table don't change based on total volunteers, 
only on proportion of the volunteer pool.  Making the pool larger and 
keeping the proportions of the components the same will not materially 
change the results.

The current model is biased to select most of the Nomcom from larger 
organizations.   You'd probably need to move to a 2 stage model to 
change the bias.

	Number of Nomcom Members 	
Percent of Volunteer Pool 	0 	1 	2 	3 	4 	5 	6 	7 	8 	9 	10 	>= 2 	>=1
1.0% 	90.4% 	9.1% 	0.4% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 
0.4% 	9.6%
5.0% 	59.9% 	31.5% 	7.5% 	1.0% 	0.1% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 	0.0% 
	8.6% 	40.1%
10.0% 	34.9% 	38.7% 	19.4% 	5.7% 	1.1% 	0.1% 	0.0% 	0.0% 	0.0% 	0.0% 
0.0% 	26.4% 	65.1%
15.0% 	19.7% 	34.7% 	27.6% 	13.0% 	4.0% 	0.8% 	0.1% 	0.0% 	0.0% 	0.0% 
0.0% 	45.6% 	80.3%
20.0% 	10.7% 	26.8% 	30.2% 	20.1% 	8.8% 	2.6% 	0.6% 	0.1% 	0.0% 	0.0% 
0.0% 	62.4% 	89.3%
25.0% 	5.6% 	18.8% 	28.2% 	25.0% 	14.6% 	5.8% 	1.6% 	0.3% 	0.0% 	0.0% 
0.0% 	75.6% 	94.4%
30.0% 	2.8% 	12.1% 	23.3% 	26.7% 	20.0% 	10.3% 	3.7% 	0.9% 	0.1% 	0.0% 
0.0% 	85.1% 	97.2%
35.0% 	1.3% 	7.2% 	17.6% 	25.2% 	23.8% 	15.4% 	6.9% 	2.1% 	0.4% 	0.1% 
0.0% 	91.4% 	98.7%

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 22:42:18 -0400

> changes on the fly during the current year's process.

It's a fair point, but you seem to argue against that point in your 
following paragraph.

> Judging by the model we used to justify
> call for volunteers went out.

This is the first Nomcom with "new" eligibility criteria. Increasing or 
repeating the outreach for Nomcom members does not seem unwarranted, nor 
a "significant change on the fly".

I'm not advocating for changing the lottery process, but I have no 
problems with spending a bit more time on the process of creating the 
lottery pool given how small the pool is this year relative to previous 
years.  That smaller pool suggests a structural failure in outreach 
related to the changes in the eligibility criteria.

Mike

---

From: Michael StJohns <[email-masked]>
Date: Sun, 27 Jun 2021 22:56:26 -0400

> (*) OK, you get to choose the exact way this randomness works, and that may include weighting by number of volunteers.  So we may still have a way to make sure there is enough big-company represent…
As Brian point out in a different message, we probably can't/shouldn't 
do this in the current pass.  But it would be useful to gather a few 
different models and consider them for the next.

Your model has the benefit of simplicity and fixes some structural 
issues of having as many as 4 Nomcom participants (2 voting members, 
liaisons and chair) from a single company.  That said, it means that 
people from large companies are substantially less likely to be selected.

Another possibility is to change the size of the Nomcom while keeping 
the 2 per company limits.  20 Members for example.  That would dilute 
the influence of the larger companies while still allowing for a 
reasonable amount of participation from them. Given that the Nomcom is 
now doing a larger number of selections per year, an increase in size 
might be warranted.  That would require a bit of cat herding on the part 
of the Nomcom chair and might suggest the need for sub chairs for the 
various organizations with vacancies. (e.g. IAB, IESG, Other... ).

There's the other model I've suggested a few times but won't repeat 
here.  And I'm sure we can find a few more...

Mike

---

From: John C Klensin <[email-masked]>
Date: Sun, 27 Jun 2021 23:30:50 -0400

--On Monday, June 28, 2021 03:41 +0200 Carsten Bormann
<[email-masked]> wrote:

>> fraction of the volunteers small enough relative to the total
>> to significantly reduce the chances of their ending up with
>> two Nomcom members.

Carsten,

Noting that I agree with Brian that trying to make a change of
this nature (as distinct from extending the sign-up window and
stimulating people to volunteer) is too much to try to do on the
fly (and hence for this year)...

> Easy: randomly (*) select 10 companies (clusters) making up
> the nomcom, and then randomly select one volunteer from each
> company.
> 
> Let's see how well this process proposal goes :-)

> (*) OK, you get to choose the exact way this randomness works,
> and that may include weighting by number of volunteers.  So we
> may still have a way to make sure there is enough big-company
> representation in the nomcom.

This strikes me as a terrible idea.  While, for a variety of
reasons, I can't volunteer (at least without dropping all other
IETF work for the duration), there are still some of us who
really are individual participants with no company affiliation.
At least without making it horribly complicated, the method you
suggest would almost certainly either keep them off the Nomcom
or keep employees of many companies off.  What you are
proposing, as I understand it, would basically determine which
10 companies get to do determine the future of the IETf in a
given cycle, an even worse option from a diversity standpoint
than what we have today.

If we wanted to go down the path of more effectively limiting
the ability of organizations to guarantee themselves Nomcom
seats, we could preserve the spirit of the current model by
setting a threshold such that, for companies that had more than
a handful* of people in the pool, a preliminary randomization
and draw would be run for each such company to determine a small
number** of their people who would be part of the final pool and
draw.  Then the normal procedure would be run as usual on the
adjusted pool, with no organization having enough people in the
pool to guarantee Nomcom seats.

But, again, I think even discussing such options would be
something for normal procedures and the 2022-2023 Nomcom at the
earliest.

    john

* A deliberately vague number, requiring discussion.

** An even more vague number, presumably with  lower bound of
two and an upper one of, say, a handful.

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 28 Jun 2021 07:14:22 +0200

> fly (and hence for this year)...

Definitely agree.  I was thinking about where we want to be in a couple of years…

> really are individual participants with no company affiliation.

These are then clusters of 1.

> given cycle, an even worse option from a diversity standpoint

Well, today we have 6, my method would turn it into 10.

A different way to imagine my method (the weighted variant):

Put a square cm of paper on a blackboard for each eligible attendee.
Throw a random dart.
If that hit an eligible, take off the eligible and all other people of their company.
Repeat until you have hit ten.
The eligibles you have hit are the nomcom.

Yeah, pretty much like the current scheme, but with N=1 instead of N=2.

Grüße, Carsten

---

From: Peter Thomassen <[email-masked]>
Date: Mon, 28 Jun 2021 10:48:03 +0200

> pool to guarantee Nomcom seats.

I like this idea.

Another point worth considering may be some sort of limitation of re-selection. Say, for example, a company can only have some number of selected candidates in some number of years (such as 4 selected people in 4 years); once that's reached, candidates from the same company are removed from the pool for the current selection.

While other proposals suggest altering the method of drawing from the pool, this one allows the pool to be without regard to company size a priori, and moves the problem onto the time dimension later on. So, if a large company has no history of selected candidates, all (otherwise eligible) candidates are fine and have equal chances, instanciating the "guaranteed seat" bias -- but only temporarily. Candidates from admissible candidates are thus not at a disadvantage in comparison to other candidates. OTOH, if the company's N-year qouta is reached, chances are zero. I can imagine such a rule feels more tangible to candidates than individual chances ever-decreasing to minuscule levels by pre-drawing from the company pool, or by applying some other weighting. (If the company quota is already full at the beginning of the selection, there's just no point to volunteering for that selection in the first place.)

(At least three aspects would need to discussed broadly: a) is it appropriate to treat individuas as a company of one; b) how do mergers and company splits affect the scheme; c) could this be done by modifying the elegibility criteria alone?)

Cheers,
Peter

-- 
Like our community service? 💛
Please consider donating at

https://desec.io/

---

From: Lloyd W <[email-masked]>
Date: Mon, 28 Jun 2021 19:45:48 +1000

I think the criteria will need to be extended to include primary authors of active internet-drafts.

If you care enough about the IETF to have actively submitted a draft in the last six months (and I do!), then you care about nomcom.

Lloyd Wood
[email-masked]

> On 27 Jun 2021, at 07:12, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 28 Jun 2021 09:56:25 +0000

>If you care enough about the IETF to have actively submitted a draft in the last six months (and I do!), then you care about nomcom.

I think one can care equally enough about the IETF by actively commenting and reviewing drafts authored by others.

Regards,

Christer

---

From: John C Klensin <[email-masked]>
Date: Mon, 28 Jun 2021 06:58:25 -0400

--On Monday, June 28, 2021 19:45 +1000 Lloyd W
<[email-masked]> wrote:

> I think the criteria will need to be extended to include
> primary authors of active internet-drafts.
> 
> If you care enough about the IETF to have actively submitted a
> draft in the last six months (and I do!), then you care about
> nomcom.

LLoyd,

If I were an organization that actively wanted to "game" the
Nomcom, I'd have all or my employees submit I-Ds.  Remember that
we have no content requirements on I-Ds such that one that are
obviously completely irrelevant be taken down.  There aren't
even rules against duplication.  Hence, ignoring boilerplate and
the like.   Hence...

     ---
     Network WG                      J. Doe
                                     Evil Co
           Flowers and the Internet
     [...[
         The flowers that bloom in the 
         spring, tra la ...
     [...[
     Introduction
     The flowers that bloom in the ...
     [...]
     Security Considerations
     Many people have allergies to some types of 
     spring flowers
     [...]

You get the idea.  And that would be almost equally true of
Christer's suggestion except I then wonder if easily-measured
criteria such as TL;DR and TSFCA:TITT* would need to be
considered.  Unless we were to set up a content-monitoring
committee to determine which I-Ds or reviews are substantive
enough to be counted, we'd end up needing to determine what
counts.

That is the beauty of the existing pool and randomization setup.
While any of us can figure out a way to game it (and it may need
tweaking if, intentionally or not, someone does), it is
objective  and very simple, with no elements of "does this
count".   I don't imagine there are many of us who actually like
it or wish it did some things better, but there it is.

best,
   john

---

From: John C Klensin <[email-masked]>
Date: Mon, 28 Jun 2021 07:19:09 -0400

--On Monday, June 28, 2021 07:14 +0200 Carsten Bormann
<[email-masked]> wrote:

>> reasons, I can't volunteer (at least without dropping all
>> other IETF work for the duration), there are still some of us
>> who really are individual participants with no company
>> affiliation.
> 
>> At least without making it horribly complicated, the method
>> you suggest would almost certainly either keep them off the
>> Nomcom or keep employees of many companies off.  What you are
> Put a square cm of paper on a blackboard for each eligible
> attendee. Throw a random dart.
> If that hit an eligible, take off the eligible and all other
> people of their company. Repeat until you have hit ten.

Carsten,

First, I like your second explanation more than I understood the
first -- I had taken "company" to mean somewhat more than you
intended.  However, it still has the problem of allowing an
organization to guarantee itself at least one Nomcom seat (even
if not two) by packing the pool while individual participants
and companies with fewer resources got squeezed out (even if
less squeezed out by setting N+1) and diversity goes down.

Whether that is a good idea depends on what problems we are
trying to solve.

And, with that and in the interest of getting other work done,
I'm going to drop out of this conversation until there is an
I-D, BOF or WG request, or equivalent on the table.

best,
   john

---

From: Mary B <[email-masked]>
Date: Mon, 28 Jun 2021 09:22:09 -0400

On Sun, Jun 27, 2021 at 8:12 PM Michael StJohns <[email-masked]>
wrote:

> probability of having 2 members.   If you have 2 members for every nomcom,
> you can have a disproportionate impact in the overall composition of the
[MB]  So, yeah, this is not a new problem and is reflective of the fact
that folks from some companies have more support for their IETF work than
others. So, perhaps, we reduce it to 1 from a single company. But, again,
that's not a process change we can push through in time for this Nomcom.
The bigger problem in my view is still the fact that a lot of folks that
might be qualified haven't volunteered.   [/MB]

---

From: "Maisonneuve, Julien (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Mon, 28 Jun 2021 13:35:12 +0000

Maybe I am mistaken, but I perceived one change for this NomCom round : we used to be able to volunteer for the NomCom by just clicking a box in the registration process, and I didn’t see this option this year.
Instead I had to send an email to be registered (a process somewhat automated later).
It is possible that this change of habit has disrupted the flow of NomCom applications.
One way of knowing would be to resume the NomCom box in the next registration cycle and see if we get different outcomes.
Best regards,
Julien.

From: ietf <[email-masked]> On Behalf Of Mary B
Sent: Monday, June 28, 2021 3:22 PM
To: Michael StJohns <[email-masked]>
Cc: <[email-masked]> <[email-masked]>
Subject: Re: List of volunteers for the 2021-2022 NomCom

On Sun, Jun 27, 2021 at 8:12 PM Michael StJohns <[email-masked]<mailto:[email-masked]>> wrote:
On 6/27/2021 8:00 PM, Mary B wrote:
[MB] Per the process, I don't think that it allows more than *2*  from a single company.  So, I think the problem isn't as bad as some perceive.  Personally, I see the bigger problem as the fact that *many* that were qualified didn't volunteer.  [/MB]

The problem (IMNSHO) is that, statistically, if you (company) have a large enough proportion of the pool, you have a pretty much guaranteed probability of having 2 members.   If you have 2 members for every nomcom, you can have a disproportionate impact in the overall composition of the leadership of the IETF over time.

FWIR, Huawei has had 2 Nomcom members for most of the last 5-8 Nomcoms.  Cisco, Ericsson and Juniper have also had substantial representation.

That may represent personal diversity, but it does not represent commercial diversity.
[MB]  So, yeah, this is not a new problem and is reflective of the fact that folks from some companies have more support for their IETF work than others. So, perhaps, we reduce it to 1 from a single company. But, again, that's not a process change we can push through in time for this Nomcom.  The bigger problem in my view is still the fact that a lot of folks that might be qualified haven't volunteered.   [/MB]

Later, Mike

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jun 2021 15:39:35 +0100

There are various speculations as to why Nomcom is not supported at the level that it used to be.

An explanation that warrants investigation is whether this is structural. This is important because it is less easily reversed.

The organizations that used to make money from the Internet were the network equipment vendors. There was a good match between their needs and the IETF core capabilities, and the IETF thrived as part of a symbiotic relationship. If the network vendors are not making money out of the Internet at the level that they used to, they will not invest in the IETF at anything like their previous level. They will naturally stop paying the IETF “tax" on their business activities. The situation seems to be that it is now the Internet content and application providers instead  that take the majority of the profit.  However, the equipment vendors are unlikely to be replaced by the content and application providers in investing in the IETF, because their business model is to assume that a basic Internet is there where they need it, and to focus on delivering content and applications using content caches and edge computing so that their service is not degraded by performance issues in the best effort end to end Internet. There is indeed a hypothesis that so long as is is possible to get a tunnel between their application at the client and their application at the edge of the cloud, nothing else needs to be standardised other than through their internal private design process or through open source. 

Students of business know that the impact of such industry structural change can be sudden and decisive.  If this hypothesis is correct, the IETF faces a significant existential threat. 

Managing the IETF though or hopefully out of a decline that results from significant  industry structural change will be the most difficult task that the IESG has needed to address in the last 20 years.

- Stewart

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 28 Jun 2021 11:28:42 -0500

> Huawei/Futurewei - 41 (36.6, 99%, 93%)
Huawei/Futurewei counted together, that is correct.

Behcet

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 28 Jun 2021 16:48:41 +0000

I believe the registration checkbox is probably the most relevant difference. I've gone through some of my records from last year. Note these are from personal records and these statistics are not formal, not approved by the 2020 NomCom, and not subject to anyone else's validation. But since they don't provide personal info, and I think this may be useful, I'm supplying these statistics.

NomCom 2020
Qualified people who volunteered by email: 74
Qualified people who volunteered by IETF 108 registration (and not by email): 61
Qualified people who volunteered by IETF 107 registration (pre-COVID cancellation, not by 108, not by email) and replied positively to my "still interested?" email: 8
Total: 143

Since most people have already registered for IETF, it would be too late to get people through a registration box this year if we were to re-open volunteering and add the box. I deeply doubt that re-opening volunteering for a week would get more than maybe 10 people, because it would be limited to mechanisms that have already been used to reach people (i.e., emails on general lists and potentially to WGs). Therefore, I recommend against re-opening the volunteer process.

RFC8713 builds in massive amounts of process that NomCom has to follow - dependencies of things that have to be done before the next thing can be done, mandatory periods between certain announcements/events, etc. Shifting volunteer selection can potentially impact all the future dates, due to dependencies. Therefore, I recommend against re-opening volunteering. I recommend against impacting the NomCom Chair's timeline for an effort that is unlikely to cause any significant increase in volunteers.

Some less well-documented personal observations:
- Most volunteers from the big router companies came in shortly after the first announcement. I strongly suspect that internal company emails go around encouraging people to volunteer. I doubt this happens in other companies (or at least not to the same extent).
- The WG emails *are* effective. Outside of the registration checkbox, they were the most effective tool in getting people from outside Routing area (and not from one of the main router vendors) to volunteer.
- An interesting side-effect of most volunteers coming from the big router vendors is that NomCom experience last year was heavily from Routing Area participants and other Areas were not so well represented.

I would recommend having a checkbox for IETF 114 (next year).

Barbara

Maybe I am mistaken, but I perceived one change for this NomCom round : we used to be able to volunteer for the NomCom by just clicking a box in the registration process, and I didn't see this option this year.
Instead I had to send an email to be registered (a process somewhat automated later).
It is possible that this change of habit has disrupted the flow of NomCom applications.
One way of knowing would be to resume the NomCom box in the next registration cycle and see if we get different outcomes.
Best regards,
Julien.

Later, Mike

---

From: Keith Moore <[email-masked]>
Date: Mon, 28 Jun 2021 13:56:46 -0400

On 6/27/21 3:54 PM, Joel M. Halpern wrote:

> decide to do so.  We can't simply change the procedures because we 
> want to (particularly note when "we" is some vocal subset of the 
> community.) 

+1.  The whole point of having a process like this is that once it's set 
in motion, you DON'T change the rules because that would in effect be 
gaming the process.

Keith

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 28 Jun 2021 17:36:12 -0400

I have no problem with there being 40 Huawei volunteers. Clearly someone
sent round a note saying 'please do this' and they did. And they will get a
maximum of two seats as a result. That isn't a diversity problem that I can
see. we have frequently had two employees from other companies.

Where I see the problem is that 120-40 = 80. Which is a rather small pool.

I am not a fan of the NOMCON system. Direct election is vastly better in my
view because it establishes accountability. But if you are going to have a
NOMCON scheme, you need to stick to it and not try to change horses in mid
race.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Jun 2021 10:09:36 +1200

Thanks for the data. Comments in line:

On 29-Jun-21 04:48, STARK, BARBARA H wrote:
> I believe the registration checkbox is probably the most relevant difference. I’ve gone through some of my records from last year. Note these are from personal records and these statistics are not formal, not approved by the 2020 NomCom, and not subject to anyone else’s validation. But since they don’t provide personal info, and I think this may be useful, I’m supplying these statistics.
> 
>  
> 
> NomCom 2020
> 
> Qualified people who volunteered by IETF 107 registration (pre-COVID cancellation, not by 108, not by email) and replied positively to my “still interested?” email: 8
> 
> Total: 143

(FWIW, I believe that *qualified* volunteers was a bit lower.) 
> Since most people have already registered for IETF, it would be too late to get people through a registration box this year if we were to re-open volunteering and add the box. I deeply doubt that r…

Certainly, if we ignored the elephant in the room (that most participants 
are not on the ietf-announce or this list) we'd get very poor results. The message would need to go to everybody in the mailman whitelist and would need some pretty strong motivational language, since we'd be trying to reach people who usually don't care about all this admin stuff. But IMHO this is a decision for the NomCom Chair to take.

   Brian
  
> 
> RFC8713 builds in massive amounts of process that NomCom has to follow – dependencies of things that have to be done before the next thing can be done, mandatory periods between certain announcements/events, etc. Shifting volunteer selection can potentially impact all the future dates, due to dependencies. Therefore, I recommend against re-opening volunteering. I recommend against impacting the NomCom Chair’s timeline for an effort that is unlikely to cause any significant increase in volunteers.
> 
>  
> 
> - Most volunteers from the big router companies came in shortly after the first announcement. I strongly suspect that internal company emails go 
around encouraging people to volunteer. I doubt this happens in other companies (or at least not to the same extent).
> 
> - The WG emails **are** effective. Outside of the registration checkbox, they were the most effective tool in getting people from outside Routing area (and not from one of the main router vendors) to volunteer.
> 
> Maybe I am mistaken, but I perceived one change for this NomCom round : 
we used to be able to volunteer for the NomCom by just clicking a box in the registration process, and I didn’t see this option this year.
> On Sun, Jun 27, 2021 at 8:12 PM Michael StJohns <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         [MB] Per the process, I don't think that it allows more than *2*  from a single company.  So, I think the problem isn't as bad 
as some perceive.  Personally, I see the bigger problem as the fact that *many* that were qualified didn't volunteer.  [/MB] 
> [MB]  So, yeah, this is not a new problem and is reflective of the 
fact that folks from some companies have more support for their IETF work 
than others. So, perhaps, we reduce it to 1 from a single company. But, again, that's not a process change we can push through in time for this Nomcom.  The bigger problem in my view is still the fact that a lot of 
folks that might be qualified haven't volunteered.   [/MB]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Jun 2021 10:19:29 +1200

> I think one can care equally enough about the IETF by actively commenting and reviewing drafts authored by others.

I agree in principle. However, both of these criteria were discussed on [email-masked] before finalising RFC8989, and the consensus seemed to be that since they are both trivial to game, we couldn't use them. There's more of a case for qualifying authors of WG-adopted drafts and members of official review teams, but even those didn't get consensus.

I suggest people review those discussions, which are somewhere in https://mailarchive.ietf.org/arch/browse/eligibility-discuss/

   Brian

---

From: Lloyd W <[email-masked]>
Date: Tue, 29 Jun 2021 09:04:22 +1000

April 1 showed otherwise.

Lloyd Wood
[email-masked]

> On 28 Jun 2021, at 20:59, John C Klensin <[email-masked]> wrote:
> 
> Remember that we have no content requirements on I-Ds

---

From: Michael Richardson <[email-masked]>
Date: Mon, 28 Jun 2021 21:08:19 -0400

Brian E Carpenter <[email-masked]> wrote:
    >>> If you care enough about the IETF to have actively submitted a draft
    >>> in the last six months (and I do!), then you care about nomcom.

    >> I think one can care equally enough about the IETF by actively
    >> commenting and reviewing drafts authored by others.

    > I agree in principle. However, both of these criteria were discussed on
    > [email-masked] before finalising RFC8989, and the
    > consensus seemed to be that since they are both trivial to game, we
    > couldn't use them. There's more of a case for qualifying authors of
    > WG-adopted drafts and members of official review teams, but even those
    > didn't get consensus.

Let me add, as a proponent for finding ways to formally acknowledge contributors,
what I would like to have occur as we move to XMLv3, is that the
"contributor" meta-data is used universally.
That makes it easier to collect the information mechanically.
We'd then be a better position to understand to what extent it can be gamed.

    > I suggest people review those discussions, which are somewhere in
    > https://mailarchive.ietf.org/arch/browse/eligibility-discuss/

:-)

---

From: tom petch <[email-masked]>
Date: Tue, 29 Jun 2021 09:30:17 +0100

> are not on the ietf-announce or this list) we'd get very poor results. The message would need to go to everybody in the mailman whitelist and would need some pretty strong motivational language, si…

I see invitations to volunteer for NomCom on many WG lists but do not 
find them encouraging.  The sense I get is of the WG Chair reluctantly 
doing what they feel obliged to do and then posting a further call 
because the first was so unsuccesful:-(  In particular, the issue of 
diversity does not really get a look in but, as this thread shows, it is 
a significant one.  The announcement e-mail is not bad, but could do 
better IMHO.

Tom Petch

> .

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 29 Jun 2021 08:34:38 +0000

Hi Brian,

Note that I did not suggest that commenting/reviewing drafts should be a criteria for NONCOM eligibility. I was simply arguing that there are other ways to care about IETF than being draft author :)

Regards,

Christer

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: tiistai 29. kesäkuuta 2021 1.19
To: Christer Holmberg <[email-masked]>; Lloyd W <lloyd.wood=[email-masked]>
Cc: John C Klensin <[email-masked]>; [email-masked]
Subject: Eligibility criteria [Re: List of volunteers for the 2021-2022 NomCom]

   Brian

---

From: Gabriel Montenegro <[email-masked]>
Date: Tue, 29 Jun 2021 18:42:43 +0000

Hi Larry,

Per our datatracker info you're qualified via both Path 1 and Path 3 (RFC8989).

If you still believe you may not be qualified for some reason, please let me know.

Thanks,

Gabriel

From: Larry Masinter <[email-masked]> On Behalf Of Larry Masinter
Sent: Sunday, June 27, 2021 16:53
To: [email-masked]
Cc: [email-masked]
Subject: RE: List of volunteers for the 2021-2022 NomCom

---

From: Gabriel Montenegro <[email-masked]>
Date: Tue, 29 Jun 2021 18:51:46 +0000

Yes, we're adding some from IETF 107, unfortunately, not as many as we would've liked. That list will be published tomorrow.

These are folks who expressed willingness to volunteer in the IETF 107 registration and who have confirmed such willingness for the current NomCom.

Here's some further info about this practice, which I've inherited from the past NomComs:

NomComs have added names to the initial list published within the challenge period and upon confirming with folks who had expressed willingness to volunteer (per past IETF registrations). We are doing that right now based on data from IETF 107 (the only recent IETF registration where such willingness to volunteer was recorded).

Here's a recap of the number of registrations as the numbers grew during the challenge period. All this is available at https://datatracker.ietf.org/nomcom/ann/

NomCom year	First List size	2nd List size	3rd List size	4th list size
2019	149 	178 (adding volunteers from IETF 100-104)	178 (tweaks, affiliation changes, etc)	177 (more tweaks) end of challenge period
2020	160 (including IETF 107 volunteers)	143 (minus some from IETF 107 + one from IETF 108)	Not applicable	Not applicable
2021	112	? (adding volunteers from IETF 107 and other tweaks) - to be published on June 30th		

Thanks,

Gabriel
Ps - sorry for the lack of formatting for the "table" above, but I didn't want to impose HTML formatting on this running thread.

> From: Bob Hinden <[email-masked]>
> Sent: Sunday, June 27, 2021 19:00
> To: IETF <[email-masked]>
> Cc: [email-masked]; Bob Hinden <[email-masked]>
> BTW, I received an email from the Nomcom chair a few days ago, saying that I
> had selected “willing to serve on the NomCom” on the registration form for a
> past IETF meeting,  so I suspect we may see a larger set of volunteers.   Or at
> least one larger, because I said “yes” :-)
> 
> Bob
> 
> 
> > "Attendance is as determined by the record keeping of the Secretariat
> > for in-person meetings and is based on being a registered person who logged
> in for at least one session of an online IETF meeting."
> >

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Tue, 29 Jun 2021 20:41:57 +0000

Unthreading this thread a bit -
(and no negatives to Stephen's and Mike's deduction - it has kicked off a very timely discussion)

Looking at the list, I don't necessarily see this as "gaming". Especially the "41" - most of these volunteers are in the routing area and are very active. Maybe it's the routing area that "games the system" - we do send out reminders to our working groups. Do we care more about the IESG than other areas? Maybe we do  - especially in selecting the sec ADs - famous for giving us "bad days"😊 Some say, it's a question of "having the time", saying big companies are more supportive. Personally, I don't think so, can ask others, but no one gets comp time for this.

My real concern is not so much on this pool - I hope they are acting as individuals in the best interests for IETF. And thank them for volunteering, especially during this time, when they are "deer in the headlights".

My real concern is that we have a good pool of candidates for the positions to be filled - often we have to "beg" people to volunteer. Hopefully this year will be different?

A virtual cheer to Stephen and Mike and hope one day it will be in-person,
Cheers,
Deborah

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Stephen Farrell
Sent: Friday, June 25, 2021 7:42 PM
To: Michael StJohns <[email-masked]>; [email-masked]
Subject: Re: List of volunteers for the 2021-2022 NomCom

Hiya,

Cheers,
S.

---

From: <[email-masked]>
Date: Tue, 29 Jun 2021 18:02:55 -0400

> > Brian, given that you have the list of people, is it an easy thing to
> > run through the Venn diagram and tell us if RFC8989 had any effect?
> 
> Not for me. Robert Sparks has access to current data, and there are good
> privacy reasons why the data aren't open. (I had them as a special case while
> drafting RFC8989.)

This discussion is what RFC8989 calls for in order to decide what to do in the future. The IESG is tasked with driving that discussion once the NomCom membership is finalized. One useful data point for that discussion is the following: In the *current* state of the list (now at 117 eligible volunteers), RFC8989's Path #1 (basically, attendance, as we've used up to now) is what qualifies all but 3. Those 3 are all qualified via Path 3 and Path 2 is superfluous as it shows up only when either Path 1 or 3 already show up. 

The point is that Path 1 qualifies upwards of 97% of the volunteers. Judging from this, RFC8989 hasn't had a significant effect on the composition of the volunteer pool for NomCom 2021-2022, with respect to the previous status quo (basically equivalent to path #1). 

This is merely the data point that was being asked for. 

It could be that the results could change even if we retained the same Paths 1, 2 and 3 as defined in RFC8989. But that discussion is to happen a bit later (per RFC8989 itself).

Gabriel

---

From: Michael Richardson <[email-masked]>
Date: Tue, 29 Jun 2021 19:40:23 -0400

g_e_montenegro=[email-masked] wrote:
    > This discussion is what RFC8989 calls for in order to decide what to do
    > in the future. The IESG is tasked with driving that discussion once the
    > NomCom membership is finalized. One useful data point for that
    > discussion is the following: In the *current* state of the list (now at
    > 117 eligible volunteers), RFC8989's Path #1 (basically, attendance, as
    > we've used up to now) is what qualifies all but 3. Those 3 are all
    > qualified via Path 3 and Path 2 is superfluous as it shows up only when
    > either Path 1 or 3 already show up.

I'm not surprised here.  Thanks for posting this...
To recap for readers:
  Path 1: 3/5
  Path 2: WG chair
  Path 3: listed author/editor

    > The point is that Path 1 qualifies upwards of 97% of the
    > volunteers. Judging from this, RFC8989 hasn't had a significant effect
    > on the composition of the volunteer pool for NomCom 2021-2022, with
    > respect to the previous status quo (basically equivalent to path #1).

The thing we need to know is, of the people who were qualified by path 1, 2,
or 3, why they did not in fact volunteer?

I think that working backwards from who volunteers doesn't help us figure out
how to get more volunteers.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 30 Jun 2021 15:03:18 +1200

> how to get more volunteers.

Correct. I can't get past the fact that so few *active* particpants are subscribed here or (more alarmingly) to ietf-announce. One hypothesis is that people who don't care about IETF admin stuff *really* don't care, even if they are active contributors as per paths 2 or 3, so they will never volunteer. Another hypothesis is that we didn't do a good enough spamming job with the call for volunteers. Was there at least one call for volunteers in the inbox of everybody qualified under paths 2 or 3?

Anyway, as Gabriel reminded us, this will be followed up after the NomCom is seated.

   Brian

---

From: tom petch <[email-masked]>
Date: Wed, 30 Jun 2021 12:47:21 +0100

> Correct. I can't get past the fact that so few *active* particpants are subscribed here or (more alarmingly) to ietf-announce. One hypothesis is that people who don't care about IETF admin stuff *r…

I tried searching the IETF mail archive for subject NomCom and date 
range end of May 2021 and was surprised to see only about 25 WG listed, 
of which several are quiescent, so persuading the WG Chairs to be more 
proactive could help.

My subjective impression from the WG lists that I track was that there 
would have been more.

Tom Petch